Can't connect to Deluged after Ubuntu update

General support for problems installing or using Deluge
krnjcccc
New User
New User
Posts: 4
Joined: Fri Jan 12, 2018 10:09 am
OS or Distro: Ubuntu

Can't connect to Deluged after Ubuntu update

Postby krnjcccc » Fri Jan 12, 2018 10:29 am

Hello all,

I am having issues with my Deluged client on Linux/Ubuntu. I used to connect to the client with Deluge app from my Mac, but after performing an update of Ubuntu, I can't connect to the client anymore (Client is supposed to be offline / red light). Deluged is running and I checked the logs of Deluged on Linux and got the following errors (see bellow). Does anyone have any idea what could go wrong? Thank you in advance!

Matej

Ubuntu release:

Code: Select all

$ lsb_release -a
Distributor ID: Ubuntu
Description:    Ubuntu 16.04.3 LTS
Release:        16.04
Codename:       xenial


Deluged version:

Code: Select all

$ deluged -v
deluged: 1.3.15
libtorrent: 1.0.7.0


Errors:

Code: Select all

$ deluged -L error
[ERROR   ] 11:14:03 component:118 [Failure instance: Traceback: <type 'exceptions.OverflowError'>: can't convert negative value to unsigned
/usr/lib/python2.7/dist-packages/deluge/main.py:241:start_daemon
/usr/lib/python2.7/dist-packages/deluge/core/daemon.py:170:__init__
/usr/lib/python2.7/dist-packages/deluge/component.py:296:start
/usr/lib/python2.7/dist-packages/deluge/component.py:124:_component_start
--- <exception caught here> ---
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:150:maybeDeferred
/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py:186:start
/usr/lib/python2.7/dist-packages/deluge/config.py:314:register_set_function
/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py:360:_on_set_encryption
]
Unhandled error in Deferred:


Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/deluge/main.py", line 241, in start_daemon
    Daemon(options, args)
  File "/usr/lib/python2.7/dist-packages/deluge/core/daemon.py", line 170, in __init__
    component.start("PreferencesManager")
  File "/usr/lib/python2.7/dist-packages/deluge/component.py", line 296, in start
    deferreds.append(self.components[name]._component_start())
  File "/usr/lib/python2.7/dist-packages/deluge/component.py", line 124, in _component_start
    d = maybeDeferred(self.start)
--- <exception caught here> ---
  File "/usr/lib/python2.7/dist-packages/twisted/internet/defer.py", line 150, in maybeDeferred
    result = f(*args, **kw)
  File "/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py", line 186, in start
    self._on_set_encryption)
  File "/usr/lib/python2.7/dist-packages/deluge/config.py", line 314, in register_set_function
    function(key, self.__config[key])
  File "/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py", line 360, in _on_set_encryption
    lt.enc_policy(self.config["enc_out_policy"])
exceptions.OverflowError: can't convert negative value to unsigned
[ERROR   ] 11:14:03 component:118 [Failure instance: Traceback: <type 'exceptions.OverflowError'>: can't convert negative value to unsigned
/usr/lib/python2.7/dist-packages/deluge/main.py:241:start_daemon
/usr/lib/python2.7/dist-packages/deluge/core/daemon.py:178:__init__
/usr/lib/python2.7/dist-packages/deluge/component.py:296:start
/usr/lib/python2.7/dist-packages/deluge/component.py:124:_component_start
--- <exception caught here> ---
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:150:maybeDeferred
/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py:186:start
/usr/lib/python2.7/dist-packages/deluge/config.py:314:register_set_function
/usr/lib/python2.7/dist-packages/deluge/core/preferencesmanager.py:360:_on_set_encryption
]

shamael
Super Seeder
Super Seeder
Posts: 394
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Can't connect to Deluged after Ubuntu update

Postby shamael » Fri Jan 12, 2018 10:38 am

May you try with a fresh profile?
(stop deluge and rename the profile folder)

krnjcccc
New User
New User
Posts: 4
Joined: Fri Jan 12, 2018 10:09 am
OS or Distro: Ubuntu

Re: Can't connect to Deluged after Ubuntu update

Postby krnjcccc » Fri Jan 12, 2018 11:27 am

Thanks for a feedback. Sorry, I am quite new with Linux, can you be more specific which profile folder i should rename?

Shryp
Super Seeder
Super Seeder
Posts: 443
Joined: Mon Apr 20, 2015 10:20 pm
OS or Distro: Manjaro Linux

Re: Can't connect to Deluged after Ubuntu update

Postby Shryp » Fri Jan 12, 2018 10:41 pm

krnjcccc wrote:Thanks for a feedback. Sorry, I am quite new with Linux, can you be more specific which profile folder i should rename?


From your home folder it will be named ".config/deluge".

If using a file browser you will need to enable "show hidden files" in the options.
If using the ls command you will need to use ls -a.

Also, it doesn't hurt to reboot after an update just in case.

nphect
New User
New User
Posts: 1
Joined: Sat Jan 13, 2018 6:04 pm
OS or Distro: Ubuntu

Re: Can't connect to Deluged after Ubuntu update

Postby nphect » Sat Jan 13, 2018 6:26 pm

I have problem, same situation after update ubuntu

Code: Select all

Distributor ID:   Ubuntu
Description:   Ubuntu 16.04.3 LTS
Release:   16.04
Codename:   xenial


Code: Select all

deluged -v
deluged: 1.3.12
libtorrent: 1.0.7.0



Code: Select all

deluged -L error
 [ERROR   ] 20:12:59 main:237 'module' object has no attribute 'SSL_ST_INIT'
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/deluge/main.py", line 229, in start_daemon
    from deluge.core.daemon import Daemon
  File "/usr/lib/python2.7/dist-packages/deluge/core/daemon.py", line 39, in <module>
    from twisted.internet import reactor
  File "/usr/lib/python2.7/dist-packages/twisted/internet/reactor.py", line 38, in <module>
    from twisted.internet import default
  File "/usr/lib/python2.7/dist-packages/twisted/internet/default.py", line 56, in <module>
    install = _getInstallFunction(platform)
  File "/usr/lib/python2.7/dist-packages/twisted/internet/default.py", line 44, in _getInstallFunction
    from twisted.internet.epollreactor import install
  File "/usr/lib/python2.7/dist-packages/twisted/internet/epollreactor.py", line 24, in <module>
    from twisted.internet import posixbase
  File "/usr/lib/python2.7/dist-packages/twisted/internet/posixbase.py", line 18, in <module>
    from twisted.internet import error, udp, tcp
  File "/usr/lib/python2.7/dist-packages/twisted/internet/tcp.py", line 29, in <module>
    from twisted.internet._newtls import (
  File "/usr/lib/python2.7/dist-packages/twisted/internet/_newtls.py", line 21, in <module>
    from twisted.protocols.tls import TLSMemoryBIOFactory, TLSMemoryBIOProtocol
  File "/usr/lib/python2.7/dist-packages/twisted/protocols/tls.py", line 41, in <module>
    from OpenSSL.SSL import Error, ZeroReturnError, WantReadError
  File "/usr/lib/python2.7/dist-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python2.7/dist-packages/OpenSSL/SSL.py", line 118, in <module>
    SSL_ST_INIT = _lib.SSL_ST_INIT
AttributeError: 'module' object has no attribute 'SSL_ST_INIT'


Who knows how to fix this? Thx.

UPD 1: update deluged from Deluge PPA Repository

Code: Select all

deluged -v
deluged: 1.3.15
libtorrent: 1.0.11.0

No changes, error same =(

UPD 2: Fix Problem

Reinstall pyOpenSSL
pip uninstall pyOpenSSL
pip install pyOpenSSL

Now, everything ok

krnjcccc
New User
New User
Posts: 4
Joined: Fri Jan 12, 2018 10:09 am
OS or Distro: Ubuntu

Re: Can't connect to Deluged after Ubuntu update

Postby krnjcccc » Sun Jan 14, 2018 8:54 am

Shryp wrote:
krnjcccc wrote:Thanks for a feedback. Sorry, I am quite new with Linux, can you be more specific which profile folder i should rename?


From your home folder it will be named ".config/deluge".

If using a file browser you will need to enable "show hidden files" in the options.
If using the ls command you will need to use ls -a.

Also, it doesn't hurt to reboot after an update just in case.


Thanks for that. I renamed .config/deluge folder, rebooted and now I get the following error. Does this mean that I am running multiple deluged services?

Code: Select all

$ [ERROR   ] 09:46:11 main:243 There is a deluge daemon running with this config directory!
[ERROR   ] 09:46:11 main:244 You cannot run multiple daemons with the same config directory set.

krnjcccc
New User
New User
Posts: 4
Joined: Fri Jan 12, 2018 10:09 am
OS or Distro: Ubuntu

Re: Can't connect to Deluged after Ubuntu update

Postby krnjcccc » Sun Jan 14, 2018 11:17 am

OK, now it's working. I also needed to setup Thin Client (http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient) and then do the reboot of the machine.

Thank you all!


Return to “Support”

Who is online

Users browsing this forum: No registered users and 7 guests